#!/usr/bin/env python

# gimp10_constantize_batch Rel 1
# Created by Tin Tran 
# Comments directed to http://gimplearn.net
# allows user to choose an .scm or a .py file and it'll replace all occurences of old constant names with GIMP 10 constant names.
# it'll make a backup copy with _backup appended to file name and overwrite the file with GIMP 10 constants. 
#
# License: GPLv3
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY# without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# To view a copy of the GNU General Public License
# visit: http://www.gnu.org/licenses/gpl.html
#
#
# ------------
#| Change Log |
# ------------
# Rel 1: Initial release.
from gimpfu import *
import os

def python_gimp10_constantize_batch_tt(image, layer, directory):
	
	#make sure it's a .scm file or .py file
	for file in os.listdir(directory):
		if file.endswith(".scm"):
			fullpathfile = os.path.join(directory, file)
			pdb.gimp_message(file)
			pdb.python_fu_gimp10_constantize_tt(image,layer,fullpathfile)
	for file in os.listdir(directory):
		if file.endswith(".py") and not file.startswith("gimp10_constantize"):
			fullpathfile = os.path.join(directory, file)
			pdb.gimp_message(file)
			pdb.python_fu_gimp10_constantize_tt(image,layer,fullpathfile)


register(
	"python_fu_gimp10_constantize_batch_tt",                           
	"GIMP 10 constantizes all files in script/plug-in directory",
	"GIMP 10 constantizes all files in script/plug-in directory",
	"Tin Tran",
	"Tin Tran",
	"Febuary 2019",
	"<Image>/Tools/GIMP10 constantize batch...",             #Menu path
	"", 
	[
	(PF_DIRNAME, "directory", "Script/Plug-in Directory:", 0),
	],
	[],
	python_gimp10_constantize_batch_tt)

main()
